org.richfaces.fragment.calendar

## Class RichFacesCalendar.AdvancedCalendarInteractions

- java.lang.Object
- - org.richfaces.fragment.calendar.RichFacesCalendar.AdvancedCalendarInteractions

- Enclosing class:
    RichFacesCalendar

      public class RichFacesCalendar.AdvancedCalendarInteractions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCalendar.AdvancedCalendarInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesAdvancedInlineCalendar` | `getInlineCalendar()`
    `RichFacesAdvancedPopupCalendar` | `getPopupCalendar()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `void` | `setDatePattern(String datePattern)`
    `void` | `setInteractiveStrategy()` Set the interactive strategy for setting of date.
    `void` | `setJavaScriptStrategy()` Sets the much faster strategy for setting and getting of date.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesCalendar.AdvancedCalendarInteractions

          public RichFacesCalendar.AdvancedCalendarInteractions()

  - ### Method Detail

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getInlineCalendar

          public RichFacesAdvancedInlineCalendar getInlineCalendar()

    - #### getPopupCalendar

          public RichFacesAdvancedPopupCalendar getPopupCalendar()

    - #### setDatePattern

          public void setDatePattern(String datePattern)

    - #### setInteractiveStrategy

          public void setInteractiveStrategy()

      Set the interactive strategy for setting of date. The getting of date uses JS API of component. The strategy uses advanced API of this fragment.

    - #### setJavaScriptStrategy

          public void setJavaScriptStrategy()

      Sets the much faster strategy for setting and getting of date. Default value. The strategy uses JS API of the component.

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.